
/*
	Mouse InterFace Routines (MIR)

	MIR Version 1.0

	CopyRight(c) Gaurang Khetan, Pune
	Dated : Oct 1998
*/

#include "MOUSE.H"

int mouse_manager::reset()
	{
	_AX = 0;
	asm int 0x33;
	return (_AX==0xFFFF)? 1 : 0;  //returns 1 if mouse is detected, otherwise 0
	}

void mouse_manager::display()
	{
	_AX = 01;
	asm int 0x33;
	}

void mouse_manager::conceal()
	{
	_AX = 02;
	asm int 0x33;
	}

int mouse_manager::was_button_pressed(int button)
	{
	_AX = 5;
	_BX = button;
	asm int 0x33;
	if (_BX)
		{
		x = _CX; y = _DX;
		return 1;
		}
	else
		return 0;
	}

int mouse_manager::get_x()
	{
	return x;
	}

int mouse_manager::get_y()
	{
	return y;
	}

void mouse_manager::flush()
	{
	was_button_pressed(0);
	was_button_pressed(1);
	}
